Overview | Package | Class | Use | Tree | Deprecated | Index
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.emf.ecp.view.internal.core.swt.renderer
Class ViewSWTRenderer

    java.lang.Object
      org.eclipse.emf.ecp.view.model.common.AbstractRenderer<VELEMENT>
          org.eclipse.emfforms.spi.swt.core.AbstractSWTRenderer<VELEMENT>
              org.eclipse.emf.ecp.view.spi.core.swt.ContainerSWTRenderer<VView>
                  org.eclipse.emf.ecp.view.internal.core.swt.renderer.ViewSWTRenderer

All Implemented Interfaces:
  EMFFormsLocaleChangeListener

Direct Known Subclasses:
  DIViewSWTRenderer

    public class ViewSWTRenderer

extends ContainerSWTRenderer<VView>
implements EMFFormsLocaleChangeListener

The Class ViewSWTRenderer.

Constructor Summary
`ViewSWTRenderer(VView vElement, ViewModelContext viewContext, ReportService reportService, EMFFormsRendererFactory factory, EMFFormsDatabinding emfFormsDatabinding, EMFFormsLocaleProvider localeProvider)` Default constructor.

Method Summary
`void` | `notifyLocaleChange()` Notify about a locale change.

Methods inherited from class org.eclipse.emf.ecp.view.spi.core.swt.ContainerSWTRenderer
`getGridDescription`

Methods inherited from class org.eclipse.emfforms.spi.swt.core.AbstractSWTRenderer
`finalizeRendering, init, render`

Methods inherited from class org.eclipse.emf.ecp.view.model.common.AbstractRenderer
`getVElement, getViewModelContext`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ViewSWTRenderer

    @Inject
    public ViewSWTRenderer(VView vElement,
                                  ViewModelContext viewContext,
                                  ReportService reportService,
                                  EMFFormsRendererFactory factory,
                                  EMFFormsDatabinding emfFormsDatabinding,
                                  EMFFormsLocaleProvider localeProvider)

  Default constructor.

  Parameters:
    `vElement` - the view model element to be rendered
    `viewContext` - the view context
    `reportService` - the `ReportService`
    `factory` - the `EMFFormsRendererFactory`
    `emfFormsDatabinding` - The `EMFFormsDatabinding`
    `localeProvider` - The `EMFFormsLocaleProvider`

Method Detail

### notifyLocaleChange

    public void notifyLocaleChange()

  Notify about a locale change.

  Specified by:
    `notifyLocaleChange` in interface `EMFFormsLocaleChangeListener`
  See Also:
    `EMFFormsLocaleChangeListener.notifyLocaleChange()`

Overview | Package | Class | Use | Tree | Deprecated | Index
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2015. All Rights Reserved.